Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-fdb
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global upstream_name fdb
%global sum Firebird RDBMS bindings for Python

Name:           python-module-fdb
Version:        2.0.0
Release:        alt1_2
Summary:        %{sum}

License:        BSD
URL:            http://www.firebirdsql.org/
Source0:        https://pypi.io/packages/source/f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

BuildArch:      noarch      
BuildRequires:  firebird-devel
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info


%description
Set of Firebird RDBMS bindings for Python. 

%package -n python3-module-fdb
Group: Development/Python
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{upstream_name}}
Requires:       libfbclient

%description -n python3-module-fdb
Set of Firebird RDBMS bindings for Python.


%prep
%setup -q -n %{upstream_name}-%{version}

rm -rf %{upstream_name}.egg-info

%build
%python3_build

%install
%python3_install
 
%files -n python3-module-fdb
%doc README.rst
%doc --no-dereference LICENSE.TXT
%{python3_sitelibdir_noarch}/*


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_2
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_1
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_4
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_3
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_2
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_1
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_2
- update to new release by fcimport

* Sat Apr 09 2016 Cronbuild Service <cronbuild@altlinux.org> 1.4-alt2_4
- rebuild to get rid of unmets

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_4
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_3
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_2
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_1
- update to new release by fcimport

* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_1
- update to new release by fcimport

* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 0.9.9-alt2_2
- rebuild to get rid of unmets

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_2
- update to new release by fcimport

* Thu Jan 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_1
- initial fc import

